const fs = require('fs');

let buf = fs.readFileSync('TEXTURE1.lmp');

let numtextures = buf.readInt32LE(0);
for (let i = 0; i < numtextures; i++) {
    let offset = buf.readInt32LE((4 * i) + 4);
    
    let name = "";
    for (let j = 0; j < 8; j++) {
        let c = buf.readUInt8(offset + j);
        if (c == 0) {
            break;
        }
        
        name += String.fromCharCode(c);
    }
    
    fs.copyFileSync('719737363718340699.png', 'textures/' + name + '.png');
    console.log(name);
}